All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Class ChannelFilter

    com.sas.services.information.metadata.ChannelFilter

All Implemented Interfaces:
  FilterInterface, java.io.Serializable

    public class ChannelFilter

Publishing Channel Filter.

Since:
  1.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.KeywordFilter
`_keywords`

Fields inherited from class com.sas.services.information.Filter
`_component`

Fields inherited from interface com.sas.services.information.FilterInterface
`BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

Constructor Summary
`ChannelFilter()`
`ChannelFilter(java.lang.String key, int relation, java.lang.String value)`

Method Summary
`java.lang.String` | `getLDAPType()`
`java.lang.String` | `getName()` Get the name of the object to look for.
`java.lang.String` | `getOMRType()` Get the OMR type.
`java.lang.String` | `getSubject()`
`java.lang.String` | `getSubscriber()`
`java.lang.String` | `getXMLSelectString()` Get the filter in the form of an XMLSelect statement.
`void` | `setName(java.lang.String name)` Set the name of the object to search for.
`void` | `setSubject(java.lang.String subject)`
`void` | `setSubscriber(java.lang.String subscriber)`

Methods inherited from class com.sas.services.information.metadata.KeywordFilter
`addKeyword, getKeywordSelectString, removeKeyword`

Methods inherited from class com.sas.services.information.Filter
`addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVBasicSearchString, getDAVScope, getDAVSQLString, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getProtocols, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

Constructor Detail

### ChannelFilter

    public ChannelFilter()

### ChannelFilter

    public ChannelFilter(java.lang.String key,
                         int relation,
                         java.lang.String value)

Method Detail

### getOMRType

    public java.lang.String getOMRType()

  Description copied from class: `Filter`
  Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

  Specified by:
    `getOMRType` in interface `FilterInterface`
  Overrides:
    `getOMRType` in class `Filter`
  Returns:
    The OMR specific type to search for.

### getLDAPType

    public java.lang.String getLDAPType()

### getName

    public java.lang.String getName()

  Description copied from class: `Filter`
  Get the name of the object to look for.

  Specified by:
    `getName` in interface `FilterInterface`
  Overrides:
    `getName` in class `Filter`
  Returns:
    The object name.

### setName

    public void setName(java.lang.String name)

  Description copied from class: `Filter`
  Set the name of the object to search for.

  Specified by:
    `setName` in interface `FilterInterface`
  Overrides:
    `setName` in class `Filter`
  Parameters:
    `name` - The object name.

### getSubject

    public java.lang.String getSubject()

### setSubject

    public void setSubject(java.lang.String subject)

### getSubscriber

    public java.lang.String getSubscriber()

### setSubscriber

    public void setSubscriber(java.lang.String subscriber)

### getXMLSelectString

    public java.lang.String getXMLSelectString()

  Get the filter in the form of an XMLSelect statement.

  Specified by:
    `getXMLSelectString` in interface `FilterInterface`
  Overrides:
    `getXMLSelectString` in class `KeywordFilter`
  Returns:
    An XMLSelect string to pass to OMR.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.